## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# CrystalSpace Namespace Reference
[Common Plugin Classes, Common Plugin Classes, Common Plugin Classes, Common Plugin Classes, Common Plugin Classes]

## Classes

struct | ConditionAnd
| @@ Document me More...
class | ImportKit
| Crystal Space Import Kit. More...
class | PCMSampleConverter
| A PCMSampleConverter object converts PCM data from one format to another. More...
class | SoundCyclicBuffer
| An implementation of a cyclic buffer oriented for sound functionality. More...

## Namespaces

namespace | DocumentHelper
| Namespace contains helper functions and classes which operate on iDocumentNode and iDocumentNodeIterator.

namespace | ImportKitImpl
namespace | SoftShader

## Functions

template<class T, class Fn>
Fn & | ForEach (T it, Fn &Func)
| Iterate over all elements in the iterator and perform operation given by Func.

## Function Documentation

template<class T, class Fn>
Fn& CrystalSpace::ForEach | ( | T | it,
|  | Fn & | Func
| ) | `[inline]`

Iterate over all elements in the iterator and perform operation given by Func.

     csArray<int> anArray;
     anArray.Push (1);
     anArray.Push (4);
     ForEach (anArray.GetIterator (), OurFunctor ());

Definition at line 40 of file algorithms.h.